### Virtual Method

# Gio File set_attributes_from_info

#### Declaration

    gboolean
    set_attributes_from_info (
      GFile* file,
      GFileInfo* info,
      GFileQueryInfoFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Tries to set all attributes in the `GFileInfo` on the target values, not stopping on the first error.

If there is any error during this operation then `error` will be set to the first error. Error on particular fields are flagged by setting the “status” field in the attribute value to `G_FILE_ATTRIBUTE_STATUS_ERROR_SETTING`, which means you can also detect further errors.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`info`

  Type: `GFileInfo`

  A `GFileInfo`.

  The data is owned by the caller of the function.

`flags`

  Type: `GFileQueryInfoFlags`

  `GFileQueryInfoFlags`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if there was any error, `TRUE` otherwise.